Page MenuHomePhabricator

Implement BetaFeatures integration
Closed, ResolvedPublic

Description

  • Write copy for DiscussionTools
  • Create abstracted thumbnail for DiscussionTools
  • Replying and Starting A New Discussion will be bundled in a new feature called DiscussionTools

Background Information

There will be one checkbox that corresponds to one user preference. In the future when we release other features that are thematically different, there will be sub-checkboxes.

Event Timeline

matmarex created this task.Feb 18 2020, 5:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2020, 5:26 PM

Change 572934 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/DiscussionTools@master] Add icon/screenshot for beta feature

https://gerrit.wikimedia.org/r/572934

matmarex assigned this task to Esanders.Feb 20 2020, 6:12 PM
matmarex triaged this task as High priority.Feb 20 2020, 6:21 PM

Created BF preference with provisional copy, can be easily tweaked:

Created BF preference with provisional copy, can be easily tweaked:

Looks great, Ed. Some tweaks:

Copy

Links

The links are as I set them in the patch but without the hash link to #Active_initiatives. I'm not sure that's necessary at the moment given it's visible from the top of the page anyway. Also linking to sections is a bit flaky as they can often be reworded which breaks inbound links (unlike pages which leave behind redirects when they are moved).

Updated and tweaked slightly:

The links are as I set them in the patch but without the hash link to #Active_initiatives. I'm not sure that's necessary at the moment given it's visible from the top of the page anyway. Also linking to sections is a bit flaky as they can often be reworded which breaks inbound links (unlike pages which leave behind redirects when they are moved).

Good points - I hadn’t considered them. Removing hashed links makes sense.

Updated and tweaked slightly:

Looks great.

Change 572934 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Add beta feature preference

https://gerrit.wikimedia.org/r/572934

ppelberg closed this task as Resolved.Feb 24 2020, 12:22 AM
ppelberg updated the task description. (Show Details)